html {
	font-size: 13.33333333vw
}

html,
body {
	/* height: 100%; */
	/* max-height: 100vh; */

}

body {
	background:#FFF;     /* background:url('compass/bg.jpg');            #cfcfc4*/
	/* overflow: hidden; */
}


* {
	padding: 0;
	margin: 0;
        cursor:default;
}

* {
	touch-action: pan-y;
}

ul,
li {
	list-style: none;
}

a {
	text-decoration: none;
	color: #666;
}

.header {
	position: relative;
}

.header img {
	width: 7.50rem;
	height: 1rem;
	display: block;
}

.top-tool {
	/* box-sizing: border-box; */
	/* padding: 0.3rem; */
	padding-top: 0.3rem;
	padding-left: 0.3rem;
	padding-right: 0.3rem;
	height: 20.31vh;                      /*罗盘上下位置height: 1rem; */
	display: flex;
	justify-content: space-between;
}

.top-tool .weather img {
	width: 0.80rem;
}

.top-tool .gradienter {
	width: 1rem;
	height: 1rem;
	/*border: 0.01rem solid seagreen;*/
	border: 0.01rem solid red;
	border-radius: 150px;
	position: relative;
	overflow: hidden;
}

.top-tool .gradienter .dot {
	width: 0.09rem;
	height: 0.09rem;
	border-radius: 50%;
	background: red;
	position: absolute;
}

.pan {
	width: 100%;
	display: flex;
	justify-content: center;
	position: relative;
	transition: .3s max-height;
	max-height: 800px;
	overflow: hidden;
}

.line {
	position: absolute;
	height: 0.02rem;
	background: red;
	z-index: 2;
	/* z-index: 0; */
	pointer-events: none;
}

.line-heng {
	top: 50%;
	left: 50%;
	width: 7rem;
	transform: translate(-50%, -50%);
}

.line-shu {
	top: 0;
	left: 49.9879%;
	width: 0.02rem;
	height: 100%;
}

.pan .main-pan {
	width: 7rem;
	height: 7rem;
	border-radius: 50%;
	/* transform: translateZ(0); */
	/* transition: .3s linear */
}

.deg-img {
	width: 4.56rem;
	position: absolute;
	/* left: 50%;
	top: 50%;
	transform: translate(-50%,-50%) */
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	margin: auto;
	transform: translateZ(0);
	pointer-events: none;
}

.zhen-img {
	width: 3rem;
	position: absolute;
	left: 50%;
	top: 50%;
	pointer-events: none;
	transform: translate(-50%, -50%)
}

.tools {
	height: 1.2rem;
	display: flex;
	margin-top: 0.2rem;
	justify-content: space-around;
	position: relative;
}

.tools li {
	width: 0.77rem;
	height: 1.2rem;
	position: absolute;
	top: 0;
}

.tools #switch {
	left: -1.5rem;           /*left: 0.42rem;*/
}

.tools #lock {
	left: 0.42rem;           /*left: 1.5rem;*/
}

.tools #manual {
	left: 1.5rem;           /*right: 1.5rem;*/
}

.tools #qiehuan {
	left: 3.7rem;           /*切换测算*/
}

.tools #sm {
	left: 4.8rem;           /*收起*/
}

.tools #change {
	left: 2.6rem;           /*right: 0.42rem; 换盘*/
}

.tools #liji {
	left: 3.7rem;           /*立级*/
}

.tools #map {
	left: 4.8rem;           /*地图*/
}

.tools #fold {
	left: 5.9rem;           /*说明*/
}

.tools #choose {
	left: 3.7rem;           /*选图top: 1.3rem;*/
	
}

.tools  #choose .top img{
	width: 0.40rem;
	height: 0.40rem;
}

.tools .top {
	width: 100%;
	height: 0.77rem;
	background: #CCC;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
}

.tools .top.active {
	background: #999;
}

.tools .top img {
	width: 0.5rem;
	height: 0.5rem;
}

.tools li p {
	font-size: 0.26rem;
	line-height: 0.5rem;
	text-align: center;
}

#info {
	position: absolute;
	width: 86%;
	text-align: center;
	border-radius: 0.1rem;
	background: #fff;
	padding: 0.06rem;
	margin: 1.3rem auto 0 0.5rem;             /*margin: 0.30rem auto 0 auto;*/
	box-shadow: 0 0 -0.06rem rgba(0, 0, 0, .5);
	font-size: 0.26rem;
}

.switchs_warp {
	width: 100%;
	height: 100%;
	position: fixed;
	left: 0;
	top: 0;
	background: rgba(0, 0, 0, .5);
	transition: .3s;
	opacity: 0;
	display: none;
	z-index: 100;
}

.switch_content {
	position: relative;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
}

.switch_main {
	position: absolute;
	width: 70%;
	font-size: 0.30rem;
	padding: 0.1rem 0.3rem;
	background: #fff;
	border-radius: 0.20rem;
	left: 50%;
	top: 50%;
	top: -50%;
	transform: translate(-50%, -50%);
	transition: .4s;
}

.switchs_warp.show .switch_main {
	top: 50%;
}

.switch_main a {
	display: block;
	line-height: 0.9rem;
	border-bottom: 0.01rem solid #ccc;
	vertical-align: bottom;
}

.switch_main a:last-child {
	border: none;
}

.switch_main a strong {
	font-weight: normal;
}

.switch_main a span {
	font-size: 0.20rem;
	position: relative;
	bottom: -0.01rem;
	color: #999;
}

.switchs_warp.show {
	opacity: 1;
}

/* .upLoad {
	width: 40%;
	height: 0.8rem;
	border: none;
	background: #4E8CEE;
	color: #FFFFFF;
	border-radius: 0.08rem;
	letter-spacing: 0.03rem;
	margin: 0 auto;
	position: fixed;
	bottom: 0.6rem;
	left: 50%;
	transform: translate(-50%);
} */

#File {
	display: none;
}

#upLoadBg {
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
}

.jia_btn,.jian_btn{
	position: absolute;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 0.56rem;
	height: 0.56rem;
	color: #fff;
	font-size: 0.50rem;
	right: 0.20rem;
	background: #CCC;
	border-radius: 0.06rem;
	display: none;
}
.jia_btn{
	bottom: 0.50rem;      /*top: 0.50rem;*/
	right: 0.50rem;
}
.jian_btn{
	bottom: 0.50rem;
	left: 0.50rem;
}